aboutsummaryrefslogtreecommitdiffstats
path: root/bin/xman
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xbin/xman9
1 files changed, 9 insertions, 0 deletions
diff --git a/bin/xman b/bin/xman
new file mode 100755
index 0000000..5f4efed
--- /dev/null
+++ b/bin/xman
@@ -0,0 +1,9 @@
+#!/bin/sh
+# xmandoc MANPAGE - read manpage of possibly not installed package
+
+xlocate "man/man..\?/$1\.[0-9]" 2>/dev/null |
+ { grep . || { echo "xmandoc: No entry for $1 found." 1>&2; exit 1; } } |
+ while read -r pkg page; do
+ page=${page#* -> }
+ xbps-query --cat=$page ${pkg%-*} | mandoc -O width=205 -a
+ done